- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QListView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qlistview.h.

`#include <qlistview.h>`

Inheritance diagram for QListView:
[legend]

List of all members.

## Public Types
enum | Movement { Static, Free, Snap }
enum | Flow { LeftToRight, TopToBottom }
enum | ResizeMode { Fixed, Adjust }
enum | LayoutMode { SinglePass, Batched }
enum | ViewMode { ListMode, IconMode }
## Signals
void | indexesMoved (const QModelIndexList &indexes)
## Public Member Functions
| QListView (QWidget *parent=0)
| ~QListView ()
void | setMovement (Movement movement)
Movement | movement () const
void | setFlow (Flow flow)
Flow | flow () const
void | setWrapping (bool enable)
bool | isWrapping () const
void | setResizeMode (ResizeMode mode)
ResizeMode | resizeMode () const
void | setLayoutMode (LayoutMode mode)
LayoutMode | layoutMode () const
void | setSpacing (int space)
int | spacing () const
void | setBatchSize (int batchSize)
int | batchSize () const
void | setGridSize (const QSize &size)
QSize | gridSize () const
void | setViewMode (ViewMode mode)
ViewMode | viewMode () const
void | clearPropertyFlags ()
bool | isRowHidden (int row) const
void | setRowHidden (int row, bool hide)
void | setModelColumn (int column)
int | modelColumn () const
void | setUniformItemSizes (bool enable)
bool | uniformItemSizes () const
void | setWordWrap (bool on)
bool | wordWrap () const
void | setSelectionRectVisible (bool show)
bool | isSelectionRectVisible () const
QRect | visualRect (const QModelIndex &index) const
void | scrollTo (const QModelIndex &index, ScrollHint hint=EnsureVisible)
QModelIndex | indexAt (const QPoint &p) const
void | doItemsLayout ()
void | reset ()
void | setRootIndex (const QModelIndex &index)
## Protected Member Functions
| QListView (QListViewPrivate &, QWidget *parent=0)
bool | event (QEvent *e)
void | scrollContentsBy (int dx, int dy)
void | resizeContents (int width, int height)
QSize | contentsSize () const
void | dataChanged (const QModelIndex &topLeft, const QModelIndex &bottomRight)
void | rowsInserted (const QModelIndex &parent, int start, int end)
void | rowsAboutToBeRemoved (const QModelIndex &parent, int start, int end)
void | mouseMoveEvent (QMouseEvent *e)
void | mouseReleaseEvent (QMouseEvent *e)
void | timerEvent (QTimerEvent *e)
void | resizeEvent (QResizeEvent *e)
void | dragMoveEvent (QDragMoveEvent *e)
void | dragLeaveEvent (QDragLeaveEvent *e)
void | dropEvent (QDropEvent *e)
void | startDrag (Qt::DropActions supportedActions)
void | internalDrop (QDropEvent *e)
void | internalDrag (Qt::DropActions supportedActions)
QStyleOptionViewItem | viewOptions () const
void | paintEvent (QPaintEvent *e)
int | horizontalOffset () const
int | verticalOffset () const
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers)
QRect | rectForIndex (const QModelIndex &index) const
void | setPositionForIndex (const QPoint &position, const QModelIndex &index)
void | setSelection (const QRect &rect, QItemSelectionModel::SelectionFlags command)
QRegion | visualRegionForSelection (const QItemSelection &selection) const
QModelIndexList | selectedIndexes () const
void | updateGeometries ()
bool | isIndexHidden (const QModelIndex &index) const
void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected)
void | currentChanged (const QModelIndex &current, const QModelIndex &previous)
## Properties
Movement | movement
Flow | flow
bool | isWrapping
ResizeMode | resizeMode
LayoutMode | layoutMode
int | spacing
QSize | gridSize
ViewMode | viewMode
int | modelColumn
bool | uniformItemSizes
int | batchSize
bool | wordWrap
bool | selectionRectVisible
## Friends
class | QAccessibleItemView

## Member Enumeration Documentation

enum Movement

Search for all occurrences

Enumerator:

  Static | Search for all occurrences
  Free | Search for all occurrences
  Snap | Search for all occurrences

Definition at line 76 of file qlistview.h.

    { Static, Free, Snap };

enum Flow

Search for all occurrences

Enumerator:

  LeftToRight | Search for all occurrences
  TopToBottom | Search for all occurrences

Definition at line 77 of file qlistview.h.

    { LeftToRight, TopToBottom };

enum ResizeMode

Search for all occurrences

Enumerator:

  Fixed | Search for all occurrences
  Adjust | Search for all occurrences

Definition at line 78 of file qlistview.h.

    { Fixed, Adjust };

enum LayoutMode

Search for all occurrences

Enumerator:

  SinglePass | Search for all occurrences
  Batched | Search for all occurrences

Definition at line 79 of file qlistview.h.

    { SinglePass, Batched };

enum ViewMode

Search for all occurrences

Enumerator:

  ListMode | Search for all occurrences
  IconMode | Search for all occurrences

Definition at line 80 of file qlistview.h.

    { ListMode, IconMode };

## Constructor & Destructor Documentation

QListView | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QListView | ( |  | ) |

QListView | ( | QListViewPrivate & | ,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

void setMovement | ( | Movement | movement | ) |

Search for all occurrences

Movement movement | ( |  | ) | const

Search for all occurrences

void setFlow | ( | Flow | flow | ) |

Search for all occurrences

Flow flow | ( |  | ) | const

Search for all occurrences

void setWrapping | ( | bool | enable | ) |

Search for all occurrences

bool isWrapping | ( |  | ) | const

Search for all occurrences

void setResizeMode | ( | ResizeMode | mode | ) |

Search for all occurrences

ResizeMode resizeMode | ( |  | ) | const

Search for all occurrences

void setLayoutMode | ( | LayoutMode | mode | ) |

Search for all occurrences

LayoutMode layoutMode | ( |  | ) | const

Search for all occurrences

void setSpacing | ( | int | space | ) |

Search for all occurrences

int spacing | ( |  | ) | const

Search for all occurrences

void setBatchSize | ( | int | batchSize | ) |

Search for all occurrences

int batchSize | ( |  | ) | const

Search for all occurrences

void setGridSize | ( | const QSize & | size | ) |

Search for all occurrences

QSize gridSize | ( |  | ) | const

Search for all occurrences

void setViewMode | ( | ViewMode | mode | ) |

Search for all occurrences

ViewMode viewMode | ( |  | ) | const

Search for all occurrences

void clearPropertyFlags | ( |  | ) |

Search for all occurrences

bool isRowHidden | ( | int | row | ) | const

Search for all occurrences

void setRowHidden | ( | int | row,
|  | bool | hide
| ) |  |

Search for all occurrences

void setModelColumn | ( | int | column | ) |

Search for all occurrences

int modelColumn | ( |  | ) | const

Search for all occurrences

void setUniformItemSizes | ( | bool | enable | ) |

Search for all occurrences

bool uniformItemSizes | ( |  | ) | const

Search for all occurrences

void setWordWrap | ( | bool | on | ) |

Search for all occurrences

bool wordWrap | ( |  | ) | const

Search for all occurrences

void setSelectionRectVisible | ( | bool | show | ) |

Search for all occurrences

bool isSelectionRectVisible | ( |  | ) | const

Search for all occurrences

QRect visualRect | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

void scrollTo | ( | const QModelIndex & | index,
|  | ScrollHint | hint = `EnsureVisible`
| ) |  | `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

QModelIndex indexAt | ( | const QPoint & | p | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemView.

void doItemsLayout | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void reset | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void setRootIndex | ( | const QModelIndex & | index | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void indexesMoved | ( | const QModelIndexList & | indexes | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

Reimplemented in QListWidget.

void scrollContentsBy | ( | int | dx,
|  | int | dy
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void resizeContents | ( | int | width,
|  | int | height
| ) |  | `[protected]`

Search for all occurrences

QSize contentsSize | ( |  | ) | const `[protected]`

Search for all occurrences

void dataChanged | ( | const QModelIndex & | topLeft,
|  | const QModelIndex & | bottomRight
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void rowsInserted | ( | const QModelIndex & | parent,
|  | int | start,
|  | int | end
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void rowsAboutToBeRemoved | ( | const QModelIndex & | parent,
|  | int | start,
|  | int | end
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void mouseMoveEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void mouseReleaseEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void timerEvent | ( | QTimerEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void resizeEvent | ( | QResizeEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void dragMoveEvent | ( | QDragMoveEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void dragLeaveEvent | ( | QDragLeaveEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void dropEvent | ( | QDropEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

Reimplemented in QListWidget.

void startDrag | ( | Qt::DropActions | supportedActions | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void internalDrop | ( | QDropEvent * | e | ) | `[protected]`

Search for all occurrences

void internalDrag | ( | Qt::DropActions | supportedActions | ) | `[protected]`

Search for all occurrences

QStyleOptionViewItem viewOptions | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void paintEvent | ( | QPaintEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

int horizontalOffset | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

int verticalOffset | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QModelIndex moveCursor | ( | CursorAction | cursorAction,
|  | Qt::KeyboardModifiers | modifiers
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QRect rectForIndex | ( | const QModelIndex & | index | ) | const `[protected]`

Search for all occurrences

void setPositionForIndex | ( | const QPoint & | position,
|  | const QModelIndex & | index
| ) |  | `[protected]`

Search for all occurrences

void setSelection | ( | const QRect & | rect,
|  | QItemSelectionModel::SelectionFlags | command
| ) |  | `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QRegion visualRegionForSelection | ( | const QItemSelection & | selection | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

QModelIndexList selectedIndexes | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void updateGeometries | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

bool isIndexHidden | ( | const QModelIndex & | index | ) | const `[protected, virtual]`

Search for all occurrences

Implements QAbstractItemView.

void selectionChanged | ( | const QItemSelection & | selected,
|  | const QItemSelection & | deselected
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

void currentChanged | ( | const QModelIndex & | current,
|  | const QModelIndex & | previous
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemView.

## Friends And Related Function Documentation

friend class QAccessibleItemView `[friend]`

Search for all occurrences

Definition at line 190 of file qlistview.h.

## Property Documentation

Movement movement `[read, write]`

Search for all occurrences

Definition at line 61 of file qlistview.h.

Flow flow `[read, write]`

Search for all occurrences

Definition at line 62 of file qlistview.h.

bool isWrapping `[read, write]`

Search for all occurrences

Definition at line 63 of file qlistview.h.

ResizeMode resizeMode `[read, write]`

Search for all occurrences

Definition at line 64 of file qlistview.h.

LayoutMode layoutMode `[read, write]`

Search for all occurrences

Definition at line 65 of file qlistview.h.

int spacing `[read, write]`

Search for all occurrences

Definition at line 66 of file qlistview.h.

QSize gridSize `[read, write]`

Search for all occurrences

Definition at line 67 of file qlistview.h.

ViewMode viewMode `[read, write]`

Search for all occurrences

Definition at line 68 of file qlistview.h.

int modelColumn `[read, write]`

Search for all occurrences

Definition at line 69 of file qlistview.h.

bool uniformItemSizes `[read, write]`

Search for all occurrences

Definition at line 70 of file qlistview.h.

int batchSize `[read, write]`

Search for all occurrences

Definition at line 71 of file qlistview.h.

bool wordWrap `[read, write]`

Search for all occurrences

Definition at line 72 of file qlistview.h.

bool selectionRectVisible `[read, write]`

Search for all occurrences

Definition at line 73 of file qlistview.h.

The documentation for this class was generated from the following file:

- QtGui/qlistview.h

QListView QListView QListView QListView QListView QListView QListView QListView QListView QListView
QListView QListView QListView QListView QListView QListView QListView QListView QListView QListView